package com.heyu.api.data.dao.calca;
/**
* <p>
* 账户表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.calca.CalcaAccountEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface CalcaAccountDao extends BaseMapper<CalcaAccountEntity> {


	CalcaAccountEntity selectCalcaAccountById(@Param("id")Long id);


	Long insertCalcaAccount(CalcaAccountEntity calcaAccount);


	Long insertOrUpdateCalcaAccount(CalcaAccountEntity calcaAccount);


	int updateCalcaAccountById(CalcaAccountEntity calcaAccount);


	int updateCoverCalcaAccountById(CalcaAccountEntity calcaAccount);


	int deleteCalcaAccountById(@Param("id")Long id);


	CalcaAccountEntity selectCalcaAccountByUserName(String userName);
}